SUBDIRS = chapter5 chapter7 chapter8 chapter10 chapter12 chapter13 chapter14 chapter15 chapter24 chapter25 chapter27 appendix_sse

.PHONY: all test build $(SUBDIRS) $(addprefix test-,$(SUBDIRS)) $(addprefix clean-,$(SUBDIRS))

all: build

build: $(SUBDIRS)

test: $(addprefix test-,$(SUBDIRS))
clean: $(addprefix clean-,$(SUBDIRS))

$(SUBDIRS):
	$(MAKE) -C $@

$(addprefix test-,$(SUBDIRS)): test-%: %
	$(MAKE) -C $* test

$(addprefix clean-,$(SUBDIRS)): clean-%:
	$(MAKE) -C $* clean
